- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDRStringVector Class Reference

`#include <CDRStringVector.h>`

## Public Member Functions
| CDRStringVector ()
| CDRStringVector (const CDRStringVector &vec)
| ~CDRStringVector ()
CDRStringVector & | operator= (const CDRStringVector &vec)
unsigned | size () const
bool | empty () const
const WPXString & | operator[] (unsigned idx) const
void | append (const WPXString &str)
void | clear ()

## Private Attributes
CDRStringVectorImpl * | m_pImpl

## Constructor & Destructor Documentation

libcdr::CDRStringVector::CDRStringVector | ( |  | ) |

libcdr::CDRStringVector::CDRStringVector | ( | const CDRStringVector & | vec | ) |

libcdr::CDRStringVector::~CDRStringVector | ( |  | ) |

## Member Function Documentation

void libcdr::CDRStringVector::append | ( | const WPXString & | str | ) |

void libcdr::CDRStringVector::clear | ( |  | ) |

bool libcdr::CDRStringVector::empty | ( |  | ) | const

libcdr::CDRStringVector & libcdr::CDRStringVector::operator= | ( | const CDRStringVector & | vec | ) |

const WPXString & libcdr::CDRStringVector::operator[] | ( | unsigned | idx | ) | const

unsigned libcdr::CDRStringVector::size | ( |  | ) | const

## Member Data Documentation

CDRStringVectorImpl* libcdr::CDRStringVector::m_pImpl
| private

Referenced by operator=().

The documentation for this class was generated from the following files:

- CDRStringVector.h
- CDRStringVector.cpp